package de.intevation.gnv.action;

import de.intevation.gnv.action.sessionmodel.SessionModel;
import de.intevation.gnv.action.sessionmodel.SessionModelFactory;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class SelectFisAction extends ArtifactDatabaseActionBase {

    private static Logger logger = Logger.getLogger(SelectFisAction.class);

    @Override
    public ActionForward execute(
        ActionMapping       mapping,
        ActionForm          form,
        HttpServletRequest  request,
        HttpServletResponse response
    ) {
        logger.info("Goto fis selection.");

        try {

            SessionModelFactory fac = SessionModelFactory.getInstance();
            SessionModel sm         = fac.getSessionModel(request);

            sm.resetModel();

            return new FetchArtifactFactoriesAction().execute(
                mapping, form, request, response);
        }
        catch (Exception e) {
            logger.error(e, e);

            request.setAttribute(
                CommunicationKeys.REQUEST_EXCEPTION_MESSAGE_ID,
                e.getMessage());

            return super.getExceptionForward(mapping);
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
